import { renderless, api } from '@opentinyvue/vue-renderless/skeleton-item/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import { iconPicture } from '@opentinyvue/vue-icon';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-skeleton-item",
    class: [_vm.variant ? "tiny-skeleton-item--" + _vm.variant : "", _vm.size && _vm.variant !== "square" ? "tiny-skeleton-item--" + _vm.size : "", _vm.state.isActive ? "tiny-skeleton-item--active" : ""]
  }, [_vm.variant === "image" ? _c("icon-picture") : _vm._e()], 1);
};
var staticRenderFns = [];
var __vue2_script = defineComponent({
  emits: ["update:modelValue"],
  props: [].concat(props, ["modelValue", "variant", "size"]),
  components: {
    IconPicture: iconPicture()
  },
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
